POST Agents/EMail/Save
Some tooltip text!
• 6 minutes to read
• 6 minutes to read
POST /api/v1/Agents/EMail/Save
Save the e-mail back to the database
NsApiSlow threshold: 5000 ms.
Online Restricted: ## The EMail agent is not available in Online by default. Access must be requested specifically when app is registered.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/EMail/Save?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
| Property Name | Type | Description |
|---|---|---|
| EMailEntity | All information about an e-mail |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: EMailEntity
| Property Name | Type | Description |
|---|---|---|
| To | array | To recipients of e-mail |
| Cc | array | Cc recipients of e-mail |
| Bcc | array | Bcc recipient of e-mail |
| Subject | string | Subject of the e-mail |
| HTMLBody | string | Body formatted in HTML |
| From | EMailAddress | Who did the e-mail originate from |
| Sent | date-time | When was the e-mail sent |
| Size | int32 | Total size of the e-mail |
| Priority | string | Importance of the e-mail |
| Flags | string | Flag status of this mail (unread, replied, deleted ) |
| MessageID | string | Unique id of e-mails |
| PlainBody | string | Body formatted in plain text |
| IsSent | bool | Is this a sent e-mail (not new) |
| EMailSOInfo | EMailSOInfo | Glue between SuperOffice data and an e-mail. |
| ServerId | int32 | Unique id for the e-mail on the server |
| Attachments | array | |
| CustomHeaderList | array | Non standard e-mail headers |
| FolderName | string | Name of folder the e-mail belongs in |
| EmailItemId | int32 | Primary key |
| AccountId | int32 | Account Id |
| ReceivedAt | date-time | Received date time |
| InReplyTo | EMailEnvelope | The envelope of the email this email is a reply to, if it exists |
| RepliedAt | date-time | When this email was replied at |
| HasCalendarData | bool | If this email contains exactly one iCal appointment |
| CalMethod | string | Method stored in the associated iCal appointment. Indicates if the iCal data is a reply, counter proposal etc. |
| CalReplyStatus | string | Reply status stored in calendar data for the ical method is REPLY |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/EMail/Save
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Content-Type: application/json; charset=utf-8
{
"Email": null
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"To": [
{
"ContactId": 148,
"ContactName": "Nordic Solutions AS",
"PersonId": 367,
"PersonName": "Anna Berg",
"AssociateId": 936,
"Address": "anna.berg@nordicsolutions.no",
"EmailId": 25,
"DuplicatePersonIds": [
846,
484
],
"Name": "Anna Berg",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 271
}
}
}
],
"Cc": [
{
"ContactId": 44,
"ContactName": "Acme Corporation",
"PersonId": 385,
"PersonName": "John Anderson",
"AssociateId": 705,
"Address": "john.anderson@acmecorp.com",
"EmailId": 555,
"DuplicatePersonIds": [
76,
101
],
"Name": "John Anderson",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 97
}
}
}
],
"Bcc": [
{
"ContactId": 177,
"ContactName": "TechCorp Solutions",
"PersonId": 972,
"PersonName": "Sarah Johnson",
"AssociateId": 439,
"Address": "sarah.johnson@techcorp.com",
"EmailId": 512,
"DuplicatePersonIds": [
804,
448
],
"Name": "Sarah Johnson",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 980
}
}
}
],
"Subject": "Project Timeline Update - Phase 3",
"HTMLBody": "<p>Hi Anna,</p><p>I've updated the project timeline for Phase 3. Please review and let me know if you have any concerns.</p><p>Best,<br>John</p>",
"From": null,
"Sent": "2002-05-09T10:11:00.1030973+02:00",
"Size": 514,
"Priority": "High",
"Flags": "Answered",
"MessageID": "<20020509101100.12345@acmecorp.com>",
"PlainBody": "Hi Anna,\n\nI've updated the project timeline for Phase 3. Please review and let me know if you have any concerns.\n\nBest,\nJohn",
"IsSent": false,
"EMailSOInfo": null,
"ServerId": 606,
"Attachments": [
{
"Description": "Project Timeline Phase 3",
"Filename": "Project_Timeline_Phase3.xlsx",
"Size": 940,
"Type": "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
"Encoding": "base64",
"Id": "att_20020509_010",
"Disposition": "attachment",
"IsSafeFileExtension": true,
"Stream": "GIF89....File contents as raw bytes...",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 184
}
}
}
],
"CustomHeaderList": [
{
"Name": "X-Phase",
"Values": [
"Phase-3",
"Timeline"
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 94
}
}
},
{
"Name": "X-Project-Reference",
"Values": [
"PROJ-2024",
"Update"
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 94
}
}
}
],
"FolderName": "Projects",
"EmailItemId": 187,
"AccountId": 419,
"ReceivedAt": "2001-07-03T10:11:00.1030973+02:00",
"InReplyTo": null,
"RepliedAt": "2010-08-28T10:11:00.1030973+02:00",
"HasCalendarData": false,
"CalMethod": "Add",
"CalReplyStatus": "Accepted",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 388
}
}
}